For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
      • GETGet user
        • GETGet user subscription
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceUserSubscription

Get user subscription

GET
/v1/user/subscription
GET
/v1/user/subscription
$curl https://api.elevenlabs.io/v1/user/subscription
1{
2 "tier": "starter",
3 "character_count": 1000,
4 "character_limit": 10000,
5 "max_character_limit_extension": 10000,
6 "max_credit_limit_extension": 10000,
7 "can_extend_character_limit": true,
8 "allowed_to_extend_character_limit": true,
9 "voice_slots_used": 1,
10 "professional_voice_slots_used": 0,
11 "voice_limit": 10,
12 "voice_add_edit_counter": 0,
13 "professional_voice_limit": 1,
14 "can_extend_voice_limit": true,
15 "can_use_instant_voice_cloning": true,
16 "can_use_professional_voice_cloning": true,
17 "current_overage": {
18 "amount": "0",
19 "currency": "usd"
20 },
21 "status": "active",
22 "open_invoices": [
23 {
24 "amount_due_cents": 1000,
25 "discounts": [
26 {
27 "discount_percent_off": 20
28 }
29 ],
30 "next_payment_attempt_unix": 1738356858,
31 "payment_intent_status": "processing",
32 "payment_intent_statusses": [
33 "processing",
34 "succeeded"
35 ],
36 "subtotal_cents": 900,
37 "tax_cents": 100
38 }
39 ],
40 "has_open_invoices": true,
41 "next_character_count_reset_unix": 1738356858,
42 "currency": "usd",
43 "billing_period": "monthly_period",
44 "character_refresh_period": "monthly_period",
45 "next_invoice": {
46 "amount_due_cents": 1000,
47 "discounts": [
48 {
49 "discount_percent_off": 20
50 }
51 ],
52 "next_payment_attempt_unix": 1738356858,
53 "payment_intent_status": "processing",
54 "payment_intent_statusses": [
55 "processing",
56 "succeeded"
57 ],
58 "subtotal_cents": 900,
59 "tax_cents": 100
60 },
61 "has_used_starter_coupon_on_account": false,
62 "has_used_creator_coupon_on_account": false
63}
Gets extended information about the users subscription
Was this page helpful?
Previous

Get service accounts

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
tierstring
The tier of the user's subscription.
character_countinteger
The number of characters used by the user.
character_limitinteger
The maximum number of characters allowed in the current billing period.
max_character_limit_extensioninteger or null

Deprecated: use max_credit_limit_extension. Maximum number of characters that the character limit can be exceeded by. Managed by the workspace admin.

max_credit_limit_extensioninteger or "unlimited"

Maximum number of credits that the credit limit can be exceeded by. Managed by the workspace admin. "unlimited" means no cap, 0 means usage-based billing is disabled.

can_extend_character_limitboolean

Whether the workspace is entitled to enter overages (usage-based billing).

allowed_to_extend_character_limitboolean

Deprecated: use max_credit_limit_extension != 0. Whether the user is allowed to extend their character limit.

voice_slots_usedinteger
The number of voice slots used by the user.
professional_voice_slots_usedinteger

The number of professional voice slots used by the workspace/user if single seat.

voice_limitinteger
The maximum number of voice slots allowed for the user.
voice_add_edit_counterinteger

The number of voice add/edits used by the user.

professional_voice_limitinteger
The maximum number of professional voices allowed for the user.
can_extend_voice_limitboolean
Whether the user can extend their voice limit.
can_use_instant_voice_cloningboolean
Whether the user can use instant voice cloning.
can_use_professional_voice_cloningboolean
Whether the user can use professional voice cloning.
current_overageobject

The current usage-based overage cost.

statusenum
The status of the user's subscription.
open_invoiceslist of objects
The open invoices for the user.
has_open_invoicesboolean
Whether the user has open invoices.
next_character_count_reset_unixinteger or null
The Unix timestamp of the next character count reset.
max_voice_add_editsinteger or null

The maximum number of voice add/edits allowed for the user.

currencyenum or null
The currency of the user's subscription.
Allowed values:
billing_periodenum or null
The billing period of the user's subscription.
Allowed values:
character_refresh_periodenum or null
The character refresh period of the user's subscription.
Allowed values:
next_invoiceobject or null
The next invoice for the user.
pending_changeobject or null
The pending change for the user.
has_used_starter_coupon_on_accountbooleanDefaults to false

True if any workspace owned by this user’s auth account has redeemed the starter first-month discount coupon.

has_used_creator_coupon_on_accountbooleanDefaults to false

True if any workspace owned by this user’s auth account has redeemed the creator first-month discount coupon.

Errors

422
Unprocessable Entity Error